@echo off
title TestRTAdapter_for_RQM

if NOT "%TESTRTDIR%" == "" goto env
echo TESTRTDIR not set. Fix and retry
goto End
:env

TestRTperl -v > nul 2>&1
if not %ERRORLEVEL%== 0 (
set "PATH=%TESTRTDIR%\bin\intel\win32;%PATH%"
echo TestRT added to PATH
)

echo test > testwtritabledir.txt 
if exist testwtritabledir.txt (
del testwtritabledir.txt
) else (
echo the current directory is not writable !
echo changing to %TEMP% directory
cd /D %TEMP%
title TestRTAdapter_for_RQM on %CD%
)

if NOT "%JAVA_HOME%" == "%TESTRTDIR%\jdk\jre" (
set "JAVA_HOME=%TESTRTDIR%\jdk\jre"
set "PATH=%TESTRTDIR%\jdk\jre\bin;%PATH%"
)

echo available options are [-reconfigure] [-portNumber={Num}] [-tempDir={dir}]
if "%TESTRTRQMLOG%" == "" (
echo To get more log, set the environment variable TESTRTRQMLOG as follow before run
echo set TESTRTRQMLOG=C:\TEMP\TestRTrqmLog.log
)

setlocal enabledelayedexpansion
set SEPARATOR=;
set filecontent=
set options=%*
set pwd=%CD%

cd /D %TESTRTDIR%\RQMAdapter\TestRTadapter
dir/b/o/s *.jar > "%TEMP%\jars.txt"
cd /D %TEMP%

for /f "delims=" %%a in (jars.txt) do (
  set currentline=%%a
  set filecontent=!filecontent!!currentline!%SEPARATOR%
)
del jars.txt

cd /D %pwd%
java.exe -version > nul 2>&1
if not %ERRORLEVEL%== 0 (
echo "Please install java, minimum version is 1.5"
goto End
)

if exist startTestRTAdapter.bat GOTO GOODDIR
java.exe "-Dlog4j.configuration=file:%TESTRTDIR%\RQMAdapter\TestRTadapter\log4j.properties" -classpath "%filecontent%" com.ibm.rqm.adapter.testrt.QMTestRTAdapter  %options%
goto End

:GOODDIR
java.exe -Dlog4j.configuration=file:.\log4j.properties -classpath "%filecontent%" com.ibm.rqm.adapter.testrt.QMTestRTAdapter  %options%

:End

